페이지뷰
GET https://analyticse.com/api/pageviews-advanced/
curl --request GET \
--url 'https://analyticse.com/api/pageviews-advanced/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/pageviews-advanced/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| website_id | 필수 정수 | |
| type | 선택 사항 문자열 | 허용된 값: landing_page, pageview |
| session_id | 선택 사항 정수 | |
| visitor_id | 선택 사항 정수 | |
| has_bounced | 선택 사항 정수 | 허용된 값: 0, 1 |
| search | 선택 사항 문자열 | 검색 문자열. |
| search_by | 선택 사항 문자열 | 어떤 필드로 검색하고 있습니까? 허용되는 값은: path, title, referrer_host, referrer_path, utm_source, utm_medium, utm_campaign. |
| datetime_field | 선택 사항 문자열 | 허용된 값: date |
| datetime_start | 선택 사항 문자열 | 시작 일시 |
| datetime_end | 선택 사항 문자열 | 종료 일시 |
| order_by | 선택 사항 문자열 | 결과를 정렬할 필드. 허용되는 값은: event_id, session_id, visitor_id, path, title, has_bounced, expiration_date, date. |
| order_type | 선택 사항 문자열 | 결과의 정렬. 허용되는 값은 ASC로 오름차순 정렬, DESC로 내림차순 정렬입니다. |
| page | 선택 사항 정수 | 결과를 원하는 페이지 번호입니다. 기본값은 1입니다. |
| results_per_page | 선택 사항 정수 | 페이지당 원하는 결과 수는 얼마입니까? 허용되는 값은: 10, 25, 50, 100, 250, 500, 1000. 기본값은 25입니다. |
{
"data": [
{
"id": 1,
"event_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"type": "pageview",
"path": "/dashboard",
"title": "Dashboard",
"referrer_host": null,
"referrer_path": null,
"utm_source": null,
"utm_medium": null,
"utm_campaign": null,
"viewport_width": 1920,
"viewport_height": 1080,
"has_bounced": false,
"expiration_date": "2027-09-12",
"datetime": "2026-09-12 00:46:07"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://analyticse.com/api/pageviews-advanced?website_id=1&page=1",
"last": "https://analyticse.com/api/pageviews-advanced?website_id=1&page=1",
"next": null,
"prev": null,
"self": "https://analyticse.com/api/pageviews-advanced?website_id=1&page=1"
}
}
GET https://analyticse.com/api/pageviews-advanced/{event_id}
curl --request GET \
--url 'https://analyticse.com/api/pageviews-advanced/{event_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/pageviews-advanced/{event_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"event_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
"session_id": 1,
"visitor_id": 1,
"website_id": 1,
"type": "pageview",
"path": "/dashboard",
"title": "Dashboard",
"referrer_host": null,
"referrer_path": null,
"utm_source": null,
"utm_medium": null,
"utm_campaign": null,
"viewport_width": 1920,
"viewport_height": 1080,
"has_bounced": false,
"expiration_date": "2027-09-12",
"datetime": "2026-09-12 00:46:07"
}
}
DELETE https://analyticse.com/api/pageviews-advanced/{event_id}
curl --request DELETE \
--url 'https://analyticse.com/api/pageviews-advanced/{event_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/pageviews-advanced/{event_id}' \
--header 'Authorization: Bearer {api_key}' \